Bug 1278334 - [GSS](6.4.z) CPU Starvation causes duplicate messages
[GSS](6.4.z) CPU Starvation causes duplicate messages
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JMS (Show other bugs)
6.4.4
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.6
Assigned To: Ivo Studensky
Miroslav Novak
:
Depends On:
Blocks: 1290841 1235746 1274290 1295674 1296634
  Show dependency treegraph
 
Reported: 2015-11-05 05:01 EST by Tom Ross
Modified: 2017-01-17 06:50 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:50:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HORNETQ-1501 Major Closed Concurrent cancelling deliveries FailureCheck 2017-11-16 12:47 EST
JBoss Issue Tracker HORNETQ-1502 Major Open XA is not resistent enough to failover 2017-11-16 12:47 EST
JBoss Issue Tracker HORNETQ-1503 Major Closed Closed Consumer from the server could lead to lost or duplicated messages 2017-11-16 12:47 EST
JBoss Issue Tracker HORNETQ-1504 Major Open Transaction timeout can lead to message loss in a specific race 2017-11-16 12:47 EST
Red Hat Knowledge Base (Solution) 2139561 None None None 2016-01-26 05:57 EST

  None (edit)
Description Tom Ross 2015-11-05 05:01:01 EST
This is just a place holder.
Comment 2 Ivo Studensky 2015-12-09 09:04:46 EST
This Bz has not been fixed yet and it is not included in the referenced upgrade to SP7.
Comment 3 JBoss JIRA Server 2015-12-09 09:14:21 EST
Clebert Suconic <clebert.suconic@jboss.com> updated the status of jira HORNETQ-1501 to Closed
Comment 4 Clebert Suconic 2015-12-09 09:15:21 EST
Ivo: it is actually: 

commit 6fe5f6846dc725e94702564096ed7199bb37baf3
Author: Clebert Suconic <clebertsuconic@apache.org>
Date:   Thu Nov 5 16:38:10 2015 -0500

    HORNETQ-1501 - ServerConsumer::cancelRefs is not thread safe - fixing issue
    
    (cherry picked from commit eb55c784e2aab4ee16899d682f48c85554461a41)



It's the first issue hit with the user.
Comment 5 Ivo Studensky 2015-12-09 09:21:05 EST
Ok, thanks for the clarification, Clebert.
I am getting this back to the payload then.
Comment 14 Miroslav Novak 2016-01-20 03:08:57 EST
Setting as verified with EAP 6.4.6.CP.CR2.
Comment 15 Petr Penicka 2017-01-17 06:50:19 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.
Comment 16 Petr Penicka 2017-01-17 06:50:58 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.